MODULE trcctl_c14b
   !!======================================================================
   !!                         ***  trcctl_c14b.F90  ***
   !! TOP :                Control of C14 chemical model
   !!======================================================================
   !!----------------------------------------------------------------------
   !! History :   1.0  !  2005-10 (C. Ethe) assign a parameter to name individual tracers
   !!----------------------------------------------------------------------

#if defined key_c14b

   USE oce_trc
   USE trc


   IMPLICIT NONE
   PRIVATE

   PUBLIC trc_ctl_c14b      ! called by ???

   !!----------------------------------------------------------------------
   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
   !! $Id: trcctl_cfc.F90 1146 2008-06-25 11:42:56Z rblod $ 
   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
   !!----------------------------------------------------------------------

CONTAINS

   SUBROUTINE trc_ctl_c14b
      !!----------------------------------------------------------------------
      !!                     ***  ROUTINE trc_ctl_c14b  ***
      !!
      !! ** Purpose :   control the cpp options, namelist and files 
      !!----------------------------------------------------------------------
      IF(lwp) THEN
          WRITE(numout,*) ' C14 bomb Model '
          WRITE(numout,*) ' '
      ENDIF

      ! Check number of tracers
      ! -----------------------   
      IF( jp_c14b > 1) CALL ctl_stop( ' Change jp_c14b to be equal 1 in par_c14b.F90' )

      ! Check tracer names
      ! ------------------
      IF ( ctrcnm(jpc14) /= 'C14B' ) THEN
           ctrcnm(jpc14)  = 'C14B'
           ctrcnl(jpc14)  = 'Bomb C14 concentration'
      ENDIF

      IF(lwp) THEN
         CALL ctl_warn( ' we force tracer names' )
         WRITE(numout,*) ' tracer nb: ',jpc14,' name = ',ctrcnm(jpc14), ctrcnl(jpc14)
         WRITE(numout,*) ' '
      ENDIF

      ! Check tracer units
      ! ------------------
      IF( ctrcun(jpc14) /= 'ration' ) THEN
          ctrcun(jpc14) = 'ration'
          IF(lwp) THEN
             CALL ctl_warn( ' we force tracer unit' )
             WRITE(numout,*) ' tracer  ',ctrcnm(jpc14), 'UNIT= ',ctrcun(jpc14)
             WRITE(numout,*) ' '
          ENDIF
       ENDIF
      !
   END SUBROUTINE trc_ctl_c14b

#else
   !!----------------------------------------------------------------------
   !!  Empty module :                                         No Bomb c14
   !!----------------------------------------------------------------------
CONTAINS
   SUBROUTINE trc_ctl_c14b                      ! Dummy routine
   END SUBROUTINE trc_ctl_c14b
#endif

   !!======================================================================
END MODULE trcctl_c14b
